> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-help/infinity-user-guide/event-management/events.md).

# Events

Infraon detects all changes or activities of CIs or configuration items, observes anomalies based on the configured thresholds, and records them as events. If triggers are configured for the same, notifications or incidents are raised accordingly.

## How does it work? <a href="#rh_pdf_topic_id_79-events_how" id="rh_pdf_topic_id_79-events_how"></a>

Infraon is configured with built-in thresholds for all the monitoring nodes and their components. Infraon monitors the assets constantly. It detects threshold breaches and records them as events. If any thresholds, devices, or metrics are linked in a trigger, Infraon either triggers a notification or converts the event to an Incident.

## What you see on the screen <a href="#rh_pdf_topic_id_79-events_wha" id="rh_pdf_topic_id_79-events_wha"></a>

The events page lists all events - Issue, Date, Node, Resource, and Event ID, sorted by time. Events have default filters like:

* Critical, Major, and Minor - based on the threshold
* Acknowledged and Ticketed - based on the action
* Priority - based on the asset property
* Root - based on the correlation
* NCCM – This shows events focused exclusively on the NCCM module, including download jobs and configuration changes. By applying this filter, technicians can focus on network configuration and change management activities, making monitoring and addressing NCCM-related issues easier.

Each event allows the below actions (Quick action tool):

Events can be filtered by dates or downloaded using the respective icons.

| **Label**     | **Action**                                                                                                                                 | **Description/ Example**                                                                                                                   |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Analyse       | <p>Click to view the ‘Impact Services’ event details.  </p><p>Click on the ‘More Details’ button to be redirected to the event page.  </p> | Includes details to help analyse the event. User can view the asset details and the statistics of what the current event is performing.    |
| Acknowledge   |                                                                                                                                            | Used to acknowledge the event. NOC users or technicians can acknowledge and add a comment to let other users know they are working on it.  |
| Diagnosis     |                                                                                                                                            | Used to perform active diagnosis.  Diagnosis can be performed using Ping, SNMP Walk, and Trace Route.                                      |
| Ticket        |                                                                                                                                            | Used to create an incident for the event.                                                                                                  |
| Clear         |                                                                                                                                            | Used to clear the event. Cleared events can be viewed using the 'Show History' toggle button.                                              |
| Activity Log  |                                                                                                                                            | Used to view the event history.                                                                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-help/infinity-user-guide/event-management/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
